#
# spec file for package python-lamson
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-lamson
Version:        1.3.4
Release:        2.1
Summary:        Lamson is a modern Pythonic mail server built like a web application server
License:        BSD-3-Clause or GPL-3.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/lamson
Source:         http://pypi.python.org/packages/source/l/lamson/lamson-%{version}.tar.gz
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-Jinja2
BuildRequires:  python-chardet
BuildRequires:  python-daemon
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  python-mock
BuildRequires:  python-modargs
BuildRequires:  python-nose
BuildRequires:  python-setuptools
Requires:       python-Jinja2
Requires:       python-chardet
Requires:       python-docutils
Requires:       python-mock
Requires:       python-modargs
Requires:       python-nose
Requires:       python-python-daemon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Lamson is a pure Python SMTP server designed to create robust and complex mail
applications in the style of modern web frameworks such as Django. Unlike
traditional SMTP servers like Postfix or Sendmail, Lamson has all the features
of a web application stack (ORM, templates, routing, handlers, state machines,
Python) without needing to configure alias files, run newaliases, or juggle
tons of tiny fragile processes. Lamson also plays well with other web
frameworks and Python libraries.

%package docs
Summary:        Documentation for Lamson
Group:          Documentation/Other

%description docs
This subpackage contains the documentation for the Lamson mail server

%prep
%setup -q -n lamson-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}/%{_docdir}
dos2unix doc/lamsonproject.org/Session.vim

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/lamson
%{python_sitelib}/*

%files docs
%defattr(-,root,root,-)
%doc doc/lamsonproject.org examples

%changelog
* Sun May 24 2015 toddrme2178@gmail.com
- Add python-docutils dependency to fix build
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 1.3.4
  + No changelog available
- Upstream doesn't provide README file anymore
- Package examples in documentation directory
- Add Build/Requires python-modargs; new dependency
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Jan 12 2012 saschpe@suse.de
- Spec file cleanup:
  * BuildRequire python-distribute instead of python-setuptools
  * No CFLAGS necessary for noarch package
  * Ran spec-cleaner
* Tue Jan 10 2012 cfarrell@suse.com
- Add dependencies
- build doc subpackage
- run tests
* Tue Jan 10 2012 cfarrell@suse.com
- First checkin (built with py2pack with some changes)
